# Interface SoftwareComponent

All Superinterfaces:
  `Named`

All Known Subinterfaces:
  `ComponentWithCoordinates, CppApplication, CppBinary, CppComponent, CppExecutable, CppLibrary, CppSharedLibrary, CppTestSuite, SwiftApplication, SwiftBinary, SwiftComponent, SwiftExecutable, SwiftLibrary, SwiftSharedLibrary, SwiftXCTestBinary, SwiftXCTestSuite`

@Incubating public interface SoftwareComponent extends Named
A software component produced by a Gradle software project.

An implementation of this interface may also implement:

- `ComponentWithVariants` to provide information about the variants that the component provides.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

### Methods inherited from interface Named

`getName`